summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-26 12:46:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-26 12:46:57 +0000
commit2befe1f07d2a7fad83bda92a10949181cba82ca3 (patch)
treea7687318e308057baf1a3db4d312a3711b4caa25 /dev-python
parentea620153298831be4130e6aa2ad9e0a18c767be1 (diff)
downloadbaldeagleos-repo-2befe1f07d2a7fad83bda92a10949181cba82ca3.tar.gz
baldeagleos-repo-2befe1f07d2a7fad83bda92a10949181cba82ca3.tar.xz
baldeagleos-repo-2befe1f07d2a7fad83bda92a10949181cba82ca3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.8.1.ebuild125
-rw-r--r--dev-python/mistune/Manifest2
-rw-r--r--dev-python/mistune/mistune-2.0.2-r1.ebuild22
-rw-r--r--dev-python/mistune/mistune-2.0.3.ebuild22
-rw-r--r--dev-python/mistune/mistune-2.0.4.ebuild2
-rw-r--r--dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild27
-rw-r--r--dev-python/pyopencl/pyopencl-2022.1.6.ebuild2
-rw-r--r--dev-python/pytools/pytools-2022.1.12.ebuild2
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/redis-py-4.2.2.ebuild82
-rw-r--r--dev-python/redis-py/redis-py-4.3.4.ebuild2
-rw-r--r--dev-python/semantic_version/Manifest1
-rw-r--r--dev-python/semantic_version/semantic_version-2.9.0.ebuild28
14 files changed, 157 insertions, 162 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 203e6bdb2618..3ded963a988d 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -4,5 +4,6 @@ DIST PyPDF2-2.5.0.gh.tar.gz 5597332 BLAKE2B 40d4fa812f1a70c18d3b2907d83185cd79af
DIST PyPDF2-2.6.0.gh.tar.gz 5600718 BLAKE2B 13c8e485d0cbb1a6621e0769840a9894822aeda85fc63d98cd466628d4af0efe7e29ce400f7c71dfae63a6d8273dbceb14c115e14bbaea7592d8fa4aef552d24 SHA512 63ef0297b5b6151ed91d6cfc0e883e996561d9479e9d6bd0742711ffff12c2be173485b0ada052a038e7759d1d819850e0e1030031fdb0bc1df46fa4fa9f912b
DIST PyPDF2-2.7.0.gh.tar.gz 5629582 BLAKE2B d6cdf3bdb974c4ffba4bf55a6acc9d8f2a30dd9f460c7ccad71bc836a0deea2ed1b3cc2743eaa0c5a377e7afe034a49412478635454bc6b846186ff3d77298ec SHA512 c04966e1d9175d729bec5f64300bbac41b9eee07ce881bf186faac9774b0a8e6f152c6213e75c81aae8e30ad90e04ed554596c3eba55526f6280e856d9556a4d
DIST PyPDF2-2.8.0.gh.tar.gz 5872029 BLAKE2B 3bad15238079cf6e9940c9e8a1b2108e5e810ed8c1223b6dcebf2904ab3f655809a56c8d861743100dfc1267ea6a6e5b0605702d95f2b210820e68a93585ad03 SHA512 a6d258a4ac61acd59ba6f4fa683b080a3b4c70bb0405c2b041d0565319648358236c6cfcefacf1bbea5b3107b7f64a98057c82ac1816f359a5c6fb3b1ce76257
+DIST PyPDF2-2.8.1.gh.tar.gz 5872212 BLAKE2B 19224d1b38947ad14adfb9b33201e0223f6da43072c6bffb78fae939872d0a025e6d2fd6f1eed0c0b88754a359a5459a45a36130659d81089caa884025a922d1 SHA512 6414339017c154610dbb5affcbf94fcda7ab6d1ea78f35cc348a2b8e5fc8c60216c4f20ffc114cb3abd8245ad7a8b40b4cca6161e3a98caff896fb823acc7bea
DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
DIST PyPDF2-sample-files-4d24ff93dcddf21d55d028d9675d5b5bf9d7a350.gh.tar.gz 5443819 BLAKE2B 6eb440a2db3b58f7e195b8f24438552b2b414296b887cf44d75b14bda367e37ffef75b870152ac3b38e20e5a6f2c6a4cf374087b70daa9036821dd3ebdce2128 SHA512 de631f650098b6fe15830e5a816158d7f352c7a25d0c743b9e4bdf146e1ef2e3a6ea1751ed5d68f34e9a339a793bfb9dc217934595c7a8dffb854c0a4111b963
diff --git a/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild b/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild
new file mode 100644
index 000000000000..d074e1d4260c
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.8.1.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=200644f7219811c3930ad1732ef70c570ece2d16
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_cmap.py
+ tests/test_filters.py::test_decompress_zlib_error
+ tests/test_filters.py::test_lzw_decode_neg1
+ tests/test_generic.py::test_dict_read_from_stream
+ tests/test_generic.py::test_parse_content_stream_peek_percentage
+ tests/test_generic.py::test_read_inline_image_no_has_q
+ tests/test_generic.py::test_read_inline_image_loc_neg_1
+ tests/test_generic.py::test_text_string_write_to_stream
+ tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+ tests/test_generic.py::test_bool_repr
+ tests/test_generic.py::test_issue_997
+ tests/test_merger.py::test1
+ tests/test_merger.py::test_bookmark
+ tests/test_merger.py::test_iss1145
+ tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
+ tests/test_merger.py::test_sweep_recursion1
+ tests/test_merger.py::test_sweep_recursion2
+ tests/test_merger.py::test_trim_outline
+ tests/test_merger.py::test_trim_outline_list
+ tests/test_merger.py::test_zoom
+ tests/test_merger.py::test_zoom_xyz_no_left
+ tests/test_page.py::test_empyt_password_1088
+ tests/test_page.py::test_extract_text_operator_t_star
+ tests/test_page.py::test_extract_text_page_pdf
+ tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+ tests/test_page.py::test_extract_text_single_quote_op
+ 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+ tests/test_reader.py::test_extract_text_pdf15
+ tests/test_reader.py::test_extract_text_xref_issue_2
+ tests/test_reader.py::test_extract_text_xref_issue_3
+ tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+ tests/test_reader.py::test_get_fields
+ tests/test_reader.py::test_get_fields_read_else_block
+ tests/test_reader.py::test_get_fields_read_else_block2
+ tests/test_reader.py::test_get_fields_read_else_block3
+ tests/test_reader.py::test_get_fields_read_write_report
+ tests/test_reader.py::test_iss925
+ tests/test_reader.py::test_metadata_is_none
+ tests/test_reader.py::test_outline_color
+ tests/test_reader.py::test_outline_font_format
+ tests/test_reader.py::test_outline_with_empty_action
+ tests/test_reader.py::test_outline_with_missing_named_destination
+ tests/test_reader.py::test_read_form_416
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_xfa_non_empty
+ tests/test_reader.py::test_PdfReaderMultipleDefinitions
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_compress
+ tests/test_workflows.py::test_extract_text
+ tests/test_workflows.py::test_extract_textbench
+ tests/test_workflows.py::test_get_fields
+ tests/test_workflows.py::test_get_fonts
+ tests/test_workflows.py::test_get_metadata
+ tests/test_workflows.py::test_get_outline
+ tests/test_workflows.py::test_image_extraction
+ tests/test_workflows.py::test_merge
+ tests/test_workflows.py::test_merge_with_warning
+ tests/test_workflows.py::test_overlay
+ tests/test_workflows.py::test_scale_rectangle_indirect_object
+ tests/test_workflows.py::test_get_xfa
+ tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+ tests/test_writer.py::test_write_bookmark_on_page_fitv
+ tests/test_xmp.py::test_custom_properties
+ tests/test_xmp.py::test_dc_creator
+ tests/test_xmp.py::test_dc_description
+ tests/test_xmp.py::test_dc_subject
+ tests/test_xmp.py::test_issue585
+ tests/test_xmp.py::test_xmpmm
+
+ # Broken test
+ tests/test_utils.py::test_deprecate_no_replacement
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/mistune/Manifest b/dev-python/mistune/Manifest
index 744b83de0af8..909f60677b3a 100644
--- a/dev-python/mistune/Manifest
+++ b/dev-python/mistune/Manifest
@@ -1,3 +1 @@
-DIST mistune-2.0.2.tar.gz 75778 BLAKE2B 6ed690a70c54a0a06f154d42151d7d857f0e70cfe32529d7176726bd1e2f7a4fb9bf66be476af139c338c9f8b0d0de6541727e18718f6537d3a07771f34441f8 SHA512 8250243bf6cd2496ca1309e1fb062507f37c197817a4c5ec1a8e3c5865b6cc58866b88158b3a2e2967ad53b1f1a668a2e4282c30179ce126242c528000215992
-DIST mistune-2.0.3.tar.gz 75763 BLAKE2B f9508f6a3b955d716947ee8d3876b63a81113a4886dfc3212bdfff00db4c84527b334037eefae4592660ae802e14cab21727c1a50dfbf0ae5223a409688301db SHA512 b6eb9585616af3e1a10d48e469d893d3965048d47a772fd6dcfad4aa026feea8ffe8048c8e93b2d430c07b4bc15e8e8afe43f3a12cbeb8d70872af8b83dc9358
DIST mistune-2.0.4.tar.gz 75977 BLAKE2B f5c29a211695897240664ff9ce7891ce81fec11f6a2e3865cf07e796ddf8e5664a4055f887318e53b315ac3bbdc90a3d0976ed1fe5b74b2f7812dffa29a57bda SHA512 4d000c5791c29069b5f252f2aa5d361eb9cdf717d33f8d66dee8b4aa3bfe1242a572af63ca3dfd57324fac457fb9b5a9dff18e7da15f9036becd14cb27882dba
diff --git a/dev-python/mistune/mistune-2.0.2-r1.ebuild b/dev-python/mistune/mistune-2.0.2-r1.ebuild
deleted file mode 100644
index a73d8f827943..000000000000
--- a/dev-python/mistune/mistune-2.0.2-r1.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="The fastest markdown parser in pure Python"
-HOMEPAGE="
- https://github.com/lepture/mistune/
- https://pypi.org/project/mistune/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="BSD"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-
-distutils_enable_tests pytest
diff --git a/dev-python/mistune/mistune-2.0.3.ebuild b/dev-python/mistune/mistune-2.0.3.ebuild
deleted file mode 100644
index 0ea17a089106..000000000000
--- a/dev-python/mistune/mistune-2.0.3.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="The fastest markdown parser in pure Python"
-HOMEPAGE="
- https://github.com/lepture/mistune/
- https://pypi.org/project/mistune/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="BSD"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
-
-distutils_enable_tests pytest
diff --git a/dev-python/mistune/mistune-2.0.4.ebuild b/dev-python/mistune/mistune-2.0.4.ebuild
index 0ea17a089106..a73d8f827943 100644
--- a/dev-python/mistune/mistune-2.0.4.ebuild
+++ b/dev-python/mistune/mistune-2.0.4.ebuild
@@ -17,6 +17,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="BSD"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild b/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild
new file mode 100644
index 000000000000..d68b15d94536
--- /dev/null
+++ b/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the patiencediff algorithm"
+HOMEPAGE="
+ https://github.com/breezy-team/patiencediff/
+ https://pypi.org/project/patiencediff/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/pyopencl/pyopencl-2022.1.6.ebuild b/dev-python/pyopencl/pyopencl-2022.1.6.ebuild
index 5870db94231e..7ab584d8fd20 100644
--- a/dev-python/pyopencl/pyopencl-2022.1.6.ebuild
+++ b/dev-python/pyopencl/pyopencl-2022.1.6.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~ppc64"
IUSE="examples opengl"
DEPEND=">=virtual/opencl-2"
diff --git a/dev-python/pytools/pytools-2022.1.12.ebuild b/dev-python/pytools/pytools-2022.1.12.ebuild
index be2ca1dfc7a5..9099c35efb3e 100644
--- a/dev-python/pytools/pytools-2022.1.12.ebuild
+++ b/dev-python/pytools/pytools-2022.1.12.ebuild
@@ -19,7 +19,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64"
+KEYWORDS="amd64 ~ppc64"
# NB: numpy is now an "extra" (optional) dep -- we can remove it from
# RDEPEND If revdeps don't need it
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index ce0cc3fce004..dfc9dc11274d 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1,2 +1 @@
-DIST redis-py-4.2.2.tar.gz 2421362 BLAKE2B ab59a649e8bc08d706536f994f0462505cea39828072884739b1a6434b45fd120e3b8acb51e8e88ec9fe0ce9acc0bfd6a5ff92bb67080724c7b121ef539af16f SHA512 80673d48cd97af1c5ebc67e919f16891ccb20cd30bc06619ddffeb117ad87f82b73f9b9bda6d36829bc51a35aa3c9b2af7c879ec665cc9664bdd86ac6510095b
DIST redis-py-4.3.4.gh.tar.gz 4613714 BLAKE2B cea5a6455160c67c9ab3b8f9de8ae47aed97e7bea1e408ce1a001afe3e0c4a7a14220887504fa40c749d15be9d89f77e36b6f7a785e0ff22a49037b6ef245e87 SHA512 55dd00c15cedb82cb5edd46b1f18f32c0accb8c85b1b94bbfe04591dc07f6151ced81cbfca8ac6fe88a6743bf5abc50309ea23bef96bf4332a712979c61ea0b7
diff --git a/dev-python/redis-py/redis-py-4.2.2.ebuild b/dev-python/redis-py/redis-py-4.2.2.ebuild
deleted file mode 100644
index 8082d0032015..000000000000
--- a/dev-python/redis-py/redis-py-4.2.2.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_PN="redis"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="Python client for Redis key-value store"
-HOMEPAGE="https://github.com/redis/redis-py"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv sparc x86"
-
-RDEPEND="
- >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
- >=dev-python/deprecated-1.2.3[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_DESELECT=(
- # Flaky test
- tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
-
- # Needs a second Redis running
- tests/test_commands.py::TestRedisCommands::test_sync
- tests/test_commands.py::TestRedisCommands::test_psync
- )
-
- local EPYTEST_IGNORE=(
- # SSL tests need Docker/stunnel:
- # https://github.com/redis/redis-py/commit/18c6809b761bc6755349e1d7e08e74e857ec2c65
- tests/test_ssl.py
-
- # Needs multiple Redises running
- tests/test_cluster.py
- )
-
- epytest -k "not redismod and not ssl"
-}
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
-
- # Spawn Redis itself for testing purposes
- # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
- # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
- einfo "Spawning Redis"
- einfo "NOTE: Port ${redis_port} must be free"
- # "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
- "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1
- EOF
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
diff --git a/dev-python/redis-py/redis-py-4.3.4.ebuild b/dev-python/redis-py/redis-py-4.3.4.ebuild
index b92d87359427..21c807af4b75 100644
--- a/dev-python/redis-py/redis-py-4.3.4.ebuild
+++ b/dev-python/redis-py/redis-py-4.3.4.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv sparc x86"
RDEPEND="
>=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
diff --git a/dev-python/semantic_version/Manifest b/dev-python/semantic_version/Manifest
index cec32216cef2..8aabf18478cc 100644
--- a/dev-python/semantic_version/Manifest
+++ b/dev-python/semantic_version/Manifest
@@ -1,2 +1 @@
DIST semantic_version-2.10.0.tar.gz 52289 BLAKE2B bb26ac31e71974376b40893cf000fe0d85e1e3e4c7c93372f2bfca841a5d760a99ca49d67f80c6e8707e60e313162b786300109f6f8cd1cfaa0001c343bc4702 SHA512 869a3901d4fc12acb285c94175011ed03dc00b35ab687c67dda458cffab5666cea21bc1b4bf75ef4edeb83b8080452a1c1470248eee54bbd269614a8cab132dc
-DIST semantic_version-2.9.0.tar.gz 51123 BLAKE2B c487c49ad17e7ca224ca4b6602abb42d1406dad8d70a3f5d0c536160e5b2d706ff0e1497961e3b9e0391c6d773ab7d0e9699f171f5781cec1d36025450cb7019 SHA512 e08f8e83ad20e94ecd6393d88836e13703fec3c2f89dc7e44fae42d8a929b2460524053fd7440865fa136d22312501a1368b5c3e923997b02383c8227972aa74
diff --git a/dev-python/semantic_version/semantic_version-2.9.0.ebuild b/dev-python/semantic_version/semantic_version-2.9.0.ebuild
deleted file mode 100644
index aad79d66c938..000000000000
--- a/dev-python/semantic_version/semantic_version-2.9.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library providing a few tools handling SemVer in Python"
-HOMEPAGE="
- https://github.com/rbarrois/python-semanticversion/
- https://pypi.org/project/semantic-version/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~sparc x86"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme
-distutils_enable_tests pytest
-
-python_test() {
- epytest -p no:django
-}